#if !defined(AFX_GETCARDHOLDERS_H__25DB8E5D_07FD_4B1E_B0D0_5787252F0A31__INCLUDED_)
#define AFX_GETCARDHOLDERS_H__25DB8E5D_07FD_4B1E_B0D0_5787252F0A31__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GetCardHolders.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGetCardHolders dialog

class CGetCardHolders : public CDialog
{
// Construction
public:
	CGetCardHolders(CWnd* pParent = NULL);   // standard constructor
	CGetCardHolders(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CGetCardHolders)
	enum { IDD = IDD_GETCARDHOLDERS };
	CStatic	m_CtlAccount;
	CComboBox	m_AcctList;
	CComboBox	m_SubAcctList;
	CStatic	m_CtlExtRefID;
	CComboBox	m_CtlExtRefIDList;
	CListCtrl	m_GetCHs;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGetCardHolders)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGetCardHolders)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeAccountlist();
	afx_msg void OnSelchangeSubAccountlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	//ICardHolderPtr pCardHolder;
	void LoadcolumnHeaders();
	void LoadAccounts();
	void LoadSubAccounts();
	void LoadCardHolders();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GETCARDHOLDERS_H__25DB8E5D_07FD_4B1E_B0D0_5787252F0A31__INCLUDED_)
